package com.cours.entities;

import java.io.Serializable;

/**
 *
 * @author ElHadji
 */
public class Personne implements Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idPersonne;
	private String prenom;
	private String nom;
	private Double poids;
	private Double taille;
	private String rue;
	private String ville;
	private String codePostal;
	private String pays;

	public Personne() {

	}

	public Personne(String prenom, String nom, Double poids, Double taille, String rue, String ville, String codePostal,
			String pays) {
		this.prenom = prenom;
		this.nom = nom;
		this.poids = poids;
		this.taille = taille;
		this.rue = rue;
		this.codePostal = codePostal;
		this.ville = ville;
		this.pays = pays;
	}

	public Personne(Integer idPersonne, String prenom, String nom, Double poids, Double taille, String rue,
			String ville, String codePostal, String pays) {
		this.idPersonne = idPersonne;
		this.prenom = prenom;
		this.nom = nom;
		this.poids = poids;
		this.taille = taille;
		this.rue = rue;
		this.codePostal = codePostal;
		this.ville = ville;
		this.pays = pays;
	}

	public Integer getIdPersonne() {
		return idPersonne;
	}

	public void setIdPersonne(Integer idPersonne) {
		this.idPersonne = idPersonne;
	}

	public String getNom() {
		return nom;
	}

	public void setNom(String nom) {
		this.nom = nom;
	}

	public Double getPoids() {
		return poids;
	}

	public void setPoids(Double poids) {
		this.poids = poids;
	}

	public Double getTaille() {
		return taille;
	}

	public void setTaille(Double taille) {
		this.taille = taille;
	}

	public String getPrenom() {
		return prenom;
	}

	public void setPrenom(String prenom) {
		this.prenom = prenom;
	}

	public String getRue() {
		return rue;
	}

	public void setRue(String rue) {
		this.rue = rue;
	}

	public String getVille() {
		return ville;
	}

	public void setVille(String ville) {
		this.ville = ville;
	}

	public String getCodePostal() {
		return codePostal;
	}

	public void setCodePostal(String codePostal) {
		this.codePostal = codePostal;
	}

	public String getPays() {
		return pays;
	}

	public void setPays(String pays) {
		this.pays = pays;
	}

	@Override
	public String toString() {
		return String.format(
				"[idPersonne=%s, prenom=%s, nom=%s, poids=%s, taille=%s, rue=%s,  ville=%s, codePostal=%s, pays=%s]",
				idPersonne, prenom, nom, poids, taille, rue, ville, codePostal, pays);
	}
}