<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form"%> 
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" 
	"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <style>
	  .error {
		color: red;
	   }
   </style>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>Spring MVC Form Components</title>
</head>
<body>
	<div align="center">
		<h2>Spring MVC Form Components</h2>
		 <c:if test="${not empty errorMessage}">
        	<div id="errorMessage" style="color: red">${errorMessage}</div>
		 </c:if>
		<form:form action="${pageContext.request.contextPath}/springComponents/save" method="post" modelAttribute="myComponentsModel">
			<table border="0" cellpadding="5">
				<tr>
					<td>Ville : </td>
					<td>
						<form:select path="villes" multiple="false">
						      <form:options items="${listVilles}"/>
						</form:select>
					</td>
				</tr>
				
				<tr>
					<td>Pays : </td>
					<td>
						<form:checkboxes items = "${listPays}" path = "pays" />
					</td>
				</tr>  
				
				<tr>
					<td>Personnes : </td>
					<td>
						<form:select path="personnes">
						      <form:options items="${listPersonnes}" itemValue="idPersonne" itemLabel="prenom"/>
						</form:select>
					</td>
				</tr>     
				<tr>
					<td colspan="2"><input type="submit" value="Save"></td>
				</tr>						
			</table>
		</form:form>
	</div>
</body>
</html>