<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form"%> 
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" 
	"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <link href="${pageContext.request.contextPath}/resources/assets/css/style.css" rel="stylesheet" >
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>Spring MVC Form</title>
</head>
<body>
	<div align="center">
		<h2>Spring MVC Form</h2>
		 <c:if test="${not empty errorMessage}">
        	<div id="errorMessage" style="color: red">${errorMessage}</div>
		 </c:if>
		<form:form action="${pageContext.request.contextPath}/myPath/save" method="post" modelAttribute="myModel">
			<table border="0" cellpadding="5">
				<tr>
					<td>Value1: </td>
					<td><form:input path="value1" /></td>
					<td><form:errors cssClass="error" path="value1" /></td>
				</tr>
				<tr>
					<td>value2: </td>
					<td><form:input path="value2" /></td>
					<td><form:errors cssClass="error" path="value2" /></td>
				</tr>
				<tr>
					<td colspan="2"><input type="submit" value="Save"></td>
				</tr>						
			</table>
		</form:form>
	</div>
</body>
</html>